This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Tue, 22 Apr 2025 02:12:41 +0200
Subject: [PATCH 1/1] fix test for MINGW


diff --git a/tests/prof_qrencode.c b/tests/prof_qrencode.c
index 1111111..2222222 100644
--- a/tests/prof_qrencode.c
+++ b/tests/prof_qrencode.c
@@ -9,7 +9,7 @@
 #include <errno.h>
 #include "../qrencode.h"
 
-#ifdef _MSC_VER
+#ifdef WIN32
 #define WIN32_LEAN_AND_MEAN
 #include <windows.h>
 static LARGE_INTEGER startTime;
@@ -21,7 +21,7 @@ static struct timeval tv;
 static void timerStart(const char *str)
 {
 	printf("%s: START\n", str);
-#ifdef _MSC_VER
+#ifdef WIN32
 	(void) QueryPerformanceCounter(&startTime);
 #else
 	gettimeofday(&tv, NULL);
@@ -30,7 +30,7 @@ static void timerStart(const char *str)
 
 static void timerStop(void)
 {
-#ifdef _MSC_VER
+#ifdef WIN32
 	LARGE_INTEGER endTime, elapsed;
 	(void) QueryPerformanceCounter(&endTime);
 	if (frequency.QuadPart == 0) {
